> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a profile

> Returns a specific profile by UUID with relationships



## OpenAPI

````yaml /openapi.json get /api/v1/profiles/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/profiles/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Profiles
      summary: Get a profile
      description: Returns a specific profile by UUID with relationships
      operationId: getProfile
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: >-
            Comma-separated list of relationships to include. Allowed:
            `current_department`, `current_primary_appointment`,
            `primary_appointments`, `additional_appointments`, `addresses`,
            `user`
          schema:
            type: string
      responses:
        '200':
          description: profile found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Profile'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    Profile:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: profile
          example: profile
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            display_name:
              type: string
            legal_first_name:
              type:
                - string
                - 'null'
            legal_middle_name:
              type:
                - string
                - 'null'
            legal_last_name:
              type:
                - string
                - 'null'
            legal_maiden_name:
              type:
                - string
                - 'null'
            suffix:
              type:
                - string
                - 'null'
            birthdate:
              type:
                - string
                - 'null'
              format: date
            deceased_on:
              type:
                - string
                - 'null'
              format: date
            racial_identity:
              type:
                - string
                - 'null'
            primary_employee_id:
              type:
                - string
                - 'null'
            employee_ids:
              type:
                - object
                - 'null'
            emails:
              type: array
              example:
                - primary@example.com
                - secondary@example.com
              description: >
                The full list of email addresses for the profile. The first
                address in the array is the primary email address.


                Some special notes about setting emails in Sandboxes:

                - Emails must be globally unique across all Scholarly accounts,
                including sandboxes. By default, users created in sandboxes will
                not have emails copied over from the production account.

                - Sandbox accounts will still send emails! Scholarly recommends
                setting sandbox user emails to addresses you control to avoid
                sending emails to unintended recipients. Example:
                jsmith@scholarly.edu becomes it+jsmith@scholarly.edu
              items:
                type: string
            avatar_url:
              type:
                - string
                - 'null'
              description: URL of the profile's synced/imported avatar.
            avatar_checksum_md5:
              type:
                - string
                - 'null'
              description: >-
                MD5 checksum of the synced/imported avatar file in hexadecimal
                format.
            preferred_avatar_url:
              type:
                - string
                - 'null'
              description: URL of the profile's user-uploaded preferred avatar.
            preferred_avatar_checksum_md5:
              type:
                - string
                - 'null'
              description: >-
                MD5 checksum of the user-uploaded preferred avatar file in
                hexadecimal format.
            cv_upload_url:
              type:
                - string
                - 'null'
              description: URL of the profile's uploaded CV PDF.
            cv_upload_checksum_md5:
              type:
                - string
                - 'null'
              description: MD5 checksum of the uploaded CV PDF in hexadecimal format.
            gender_identity:
              type:
                - string
                - 'null'
            custom_fields:
              type:
                - object
                - 'null'
        relationships:
          type: object
          properties:
            current_department:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: department
                          example: department
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            current_primary_appointment:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                          const: primary_appointment
                          example: primary_appointment
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            primary_appointments:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: array
                  items:
                    type: object
                    required:
                      - type
                      - id
                    properties:
                      type:
                        type: string
                        const: primary_appointment
                        example: primary_appointment
                      id:
                        type: string
                        format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            additional_appointments:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
              anyOf:
                - required:
                    - links
                - required:
                    - meta
            addresses:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
              anyOf:
                - required:
                    - links
                - required:
                    - meta
            user:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: user
                      example: user
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````